datablock WheeledVehicleData(tobogganVehicle)
{
	//tagged fields
	//doSimpleDismount = true;		//just unmount the player, dont look for a free space

   category = "Vehicles";
   shapeFile = "./toboggan.dts";
   emap = true;
   
   minMountDist = 3;
   
   numMountPoints = 3;
   mountThread[0] = "sit";
   mountThread[1] = "sit";
   mountThread[2] = "sit";

   maxDamage = 1.0;
   destroyedLevel = 0.5;
   energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

   maxSteeringAngle = 0.885;  // Maximum steering angle, should match animation
   integration = 4;           // Force integration time: TickSec/Rate
   tireEmitter = SkiEmitter; // All the tires use the same dust emitter

   // 3rd person camera settings
   cameraRoll = false;         // Roll the camera with the vehicle?
   cameraMaxDist = 8;         // Far distance from vehicle
   cameraOffset = 6.8;        // Vertical offset from camera mount point
   cameraLag = 0.0;           // Velocity lag of camera
   cameraDecay = 1.75;  //0.75;      // Decay per sec. rate of velocity lag
   cameraTilt = 0.3201; //tilt adjustment for camera: ~20 degrees down

   // Rigid Body
   mass = 90;		//3100 lbs
   density = 0.5;
   massCenter = "0.0 0.0 0.5";    // Center of mass for rigid body
   massBox = "1.5 1.5 1.5";         // Size of box used for moment of inertia,
                              // if zero it defaults to object bounding box
   drag = 0.8;                // Drag coefficient
   bodyFriction = 0.21;
   bodyRestitution = 0.2;
   minImpactSpeed = 3;        // Impacts over this invoke the script callback
   softImpactSpeed = 3;       // Play SoftImpact Sound
   hardImpactSpeed = 10;      // Play HardImpact Sound
   integration = 10;           // Physics integration: TickSec/Rate
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.01;          // Contact velocity tolerance


isSled = true;	//if its a sled, the wing surfaces dont work unless its on the ground
	
   // Engine
   engineTorque = 35000;       // Engine power
   engineBrake = 25;         // Braking when throttle is 0
   brakeTorque = 80000;        // When brakes are applied
   maxWheelSpeed = 30;        // Engine scale by current speed / max speed

	forwardThrust		= 500;
	reverseThrust		= 500;
	lift			= 0;
	maxForwardVel		= 40;
	maxReverseVel		= 10;
	horizontalSurfaceForce	= 50;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 0; 
	rollForce		= 900;
	yawForce		= 600;
	pitchForce		= 1000;
	rotationalDrag		= 3;
	stallSpeed		= 0;

	jumpForce	= 100; //havent added this into code yet.
	

   // Energy
   maxEnergy = 100;
   jetForce = 3000;
   minJetEnergy = 30;
   jetEnergyDrain = 2;

   // Sounds
//   jetSound = ScoutThrustSound;
   //engineSound = "";
   //squealSound = sprayFireSound;
   //softImpactSound = Impact1ASound;
   hardImpactSound = Impact1BSound;
   //wheelImpactSound = Impact1BSound;

//   explosion = VehicleExplosion;
	justcollided = 0;

	uiName = "Toboggan ";
	rideable = true;
		lookUpLimit = 0.5;
		lookDownLimit = 0.5;

	paintable = true;
   
   damageEmitter[0] = vehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = vehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = vehicleExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 4000;

   finalExplosionProjectile = vehicleFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed
   
   steeringUseStrafeSteering = false; //this vehicle has pitch control, so we can't use strafe steering
};

function tobogganVehicle::onAdd(%this,%obj)
{

	parent::onadd(%this,%obj);
	//mount the nothing tire and ski spring
	%obj.setWheelTire(0, nothingtire);
	%obj.setWheelTire(1, nothingtire);
	%obj.setWheelTire(2, nothingtire);
	%obj.setWheelTire(3, nothingtire);

	%obj.setWheelSpring(0, skiSpring);
	%obj.setWheelSpring(1, skiSpring);
	%obj.setWheelSpring(2, skiSpring);
	%obj.setWheelSpring(3, skiSpring);
}	





